Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class NestedThrowable.Util

    java.lang.Object
      org.jboss.util.NestedThrowable.Util

Enclosing class:
  NestedThrowable

public static final class NestedThrowable.Util
extends Object

Utilitiy methods for the various flavors of `NestedThrowable`.

Constructor Summary
`NestedThrowable.Util()`

Method Summary
`static void` | `checkNested(NestedThrowable parent, Throwable child)` Check and possibly warn if the nested exception type is the same as the parent type (duplicate nesting).
`protected static boolean` | `getBoolean(String name, boolean defaultValue)` A helper to get a boolean property.
`static String` | `getMessage(String msg, Throwable nested)` Returns a formated message for the given detail message and nested `Throwable`.
`static void` | `print(Throwable nested, PrintStream stream)` Prints the nested `Throwable` to the given stream.
`static void` | `print(Throwable nested, PrintWriter writer)` Prints the nested `Throwable` to the given writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedThrowable.Util

    public NestedThrowable.Util()

Method Detail

### getBoolean

    protected static boolean getBoolean(String name,
                                        boolean defaultValue)

  A helper to get a boolean property.

### checkNested

    public static void checkNested(NestedThrowable parent,
                                   Throwable child)

  Check and possibly warn if the nested exception type is the same as the parent type (duplicate nesting).

### getMessage

    public static String getMessage(String msg,
                                    Throwable nested)

  Returns a formated message for the given detail message and nested `Throwable`.

  Parameters:
    `msg` - Detail message.
    `nested` - Nested `Throwable`.
  Returns:
    Formatted message.

### print

    public static void print(Throwable nested,
                             PrintStream stream)

  Prints the nested `Throwable` to the given stream.

  Parameters:
    `nested` - Nested `Throwable`.
    `stream` - Stream to print to.

### print

    public static void print(Throwable nested,
                             PrintWriter writer)

  Prints the nested `Throwable` to the given writer.

  Parameters:
    `nested` - Nested `Throwable`.
    `writer` - Writer to print to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.